# Class TCustomMediaObserver

Description
Hierarchy
Fields
Methods
Properties

## Unit

uCEFMediaObserver

## Declaration

`type TCustomMediaObserver = class(TCefMediaObserverOwn)`

## Description

This item has no description.

## Hierarchy

- TInterfacedObject
- TCefBaseRefCountedOwn
- TCefMediaObserverOwn
- TCustomMediaObserver

## Overview

### Fields

| `FEvents: Pointer;`

### Methods

| `procedure OnSinks(const sinks: TCefMediaSinkArray); override;`
| `procedure OnRoutes(const routes: TCefMediaRouteArray); override;`
| `procedure OnRouteStateChanged(const route: ICefMediaRoute; state: TCefMediaRouteConnectionState); override;`
| `procedure OnRouteMessageReceived(const route: ICefMediaRoute; const message_: ustring); override;`
| `constructor Create(const events: IChromiumEvents); reintroduce;`
| `destructor Destroy; override;`

## Description

### Fields

| `FEvents: Pointer;`
This item has no description.

### Methods

| `procedure OnSinks(const sinks: TCefMediaSinkArray); override;`
This item has no description. Showing description inherited from ICefMediaObserver.OnSinks. The list of available media sinks has changed or ICefMediaRouter.NotifyCurrentSinks was called.

| `procedure OnRoutes(const routes: TCefMediaRouteArray); override;`
This item has no description. Showing description inherited from ICefMediaObserver.OnRoutes. The list of available media routes has changed or ICefMediaRouter.NotifyCurrentRoutes was called.

| `procedure OnRouteStateChanged(const route: ICefMediaRoute; state: TCefMediaRouteConnectionState); override;`
This item has no description. Showing description inherited from ICefMediaObserver.OnRouteStateChanged. The connection state of |route| has changed.

| `procedure OnRouteMessageReceived(const route: ICefMediaRoute; const message_: ustring); override;`
This item has no description. Showing description inherited from ICefMediaObserver.OnRouteMessageReceived. A message was received over |route|. |message| is only valid for the scope of this callback and should be copied if necessary.

| `constructor Create(const events: IChromiumEvents); reintroduce;`
This item has no description.

| `destructor Destroy; override;`
This item has no description.

Generated by PasDoc 0.16.0-snapshot.